Merge Workspace Pull Request
curl --request POST \
--url https://api.tryreplicas.com/v1/workspaces/{workspaceId}/pull-requests/merge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prUrl": "<string>"
}
'import requests
url = "https://api.tryreplicas.com/v1/workspaces/{workspaceId}/pull-requests/merge"
payload = { "prUrl": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({prUrl: '<string>'})
};
fetch('https://api.tryreplicas.com/v1/workspaces/{workspaceId}/pull-requests/merge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Replica
Merge Workspace Pull Request
Squash-merges a linked standalone GitHub pull request through the GitHub integration. The pull request must be open and mergeable, and the organization must allow agent pull request merges. This endpoint remains available while the workspace is sleeping and does not wake it.
POST
/
v1
/
workspaces
/
{workspaceId}
/
pull-requests
/
merge
Merge Workspace Pull Request
Authorizations
API key authentication. Obtain your API key from the Replicas dashboard under Organization → Settings → API Keys.
Path Parameters
Body
application/json
Response
Pull request merged
⌘I